classification
Title: Extract OrderedDict tests into separate file
Type: enhancement Stage: resolved
Components: Tests Versions: Python 3.6, Python 3.4, Python 3.5, Python 2.7
process
Status: closed Resolution: fixed
Dependencies: Superseder:
Assigned To: Nosy List: eric.snow, python-dev, rhettinger, serhiy.storchaka
Priority: normal Keywords: patch

Created on 2015-11-13 13:01 by serhiy.storchaka, last changed 2015-11-25 15:20 by python-dev. This issue is now closed.

Files
File name Uploaded Description Edit
test_ordered_dict.patch serhiy.storchaka, 2015-11-16 13:45
Messages (5)
msg254602 - (view) Author: Serhiy Storchaka (serhiy.storchaka) * (Python committer) Date: 2015-11-13 13:01
OrderedDict tests now are about 1/3 of test_collections, and I think their volume will grow. I suggest to extract these tests into separate file test_ordereddict. There are precedences: test_deque (deque also is implemented in C), and test_userdict, test_userlist and test_userstring (for historical reasons).

The main reason to me is the possibility to run quick OrderedDict tests (and only OrderedDict tests).
msg254618 - (view) Author: Eric Snow (eric.snow) * (Python committer) Date: 2015-11-13 20:05
FWIW, I totally support this.  I originally had a patch up that did so but Raymond indicated that he'd rather not split the tests out though I made exactly the same arguments that you have.  Perhaps he's changed his mind in the intervening years (or I misunderstood his objections)? :)
msg254697 - (view) Author: Raymond Hettinger (rhettinger) * (Python committer) Date: 2015-11-15 21:52
If it helps with all the great work you're doing, go ahead and move the OD tests out to a separate file.
msg254732 - (view) Author: Serhiy Storchaka (serhiy.storchaka) * (Python committer) Date: 2015-11-16 13:45
Thank you Raymond. Here is a patch. It is in Git format, hence Rietveld will not work with it. During creating a patch I found a bug in test_dict_update, it tested only default implementation and didn't test subclasses.
msg255363 - (view) Author: Roundup Robot (python-dev) (Python triager) Date: 2015-11-25 15:20
New changeset 8d9a0540adf9 by Serhiy Storchaka in branch '3.4':
Issue #25616: Tests for OrderedDict are extracted from test_collections
https://hg.python.org/cpython/rev/8d9a0540adf9

New changeset 46e95e0eaae5 by Serhiy Storchaka in branch '3.5':
Issue #25616: Tests for OrderedDict are extracted from test_collections
https://hg.python.org/cpython/rev/46e95e0eaae5

New changeset 81fa901162f9 by Serhiy Storchaka in branch 'default':
Issue #25616: Tests for OrderedDict are extracted from test_collections
https://hg.python.org/cpython/rev/81fa901162f9

New changeset afaad8dc8edf by Serhiy Storchaka in branch '2.7':
Issue #25616: Tests for OrderedDict are extracted from test_collections
https://hg.python.org/cpython/rev/afaad8dc8edf
History
Date User Action Args
2015-11-25 15:20:38python-devsetnosy: + python-dev
messages: + msg255363
2015-11-25 15:20:37serhiy.storchakasetstatus: open -> closed
resolution: fixed
stage: patch review -> resolved
2015-11-16 13:45:21serhiy.storchakasetfiles: + test_ordered_dict.patch
versions: + Python 2.7, Python 3.4, Python 3.5, Python 3.6
messages: + msg254732

keywords: + patch
stage: patch review
2015-11-15 21:52:49rhettingersetmessages: + msg254697
2015-11-13 20:05:58eric.snowsetmessages: + msg254618
2015-11-13 13:01:21serhiy.storchakacreate